Bug 67067 - session shouldn't have "Last" option when first time
Summary: session shouldn't have "Last" option when first time
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-19 17:55 UTC by James Manning
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-09 21:03:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-06-19 17:55:27 UTC
may not be doable, but the Session selection dialog has
KDE/GNOME/default/failsafe/etc and an entry (default selected) called "Last"
which IMHO doesn't make sense when the user's just finished a fresh install. 
IMHO, Last should be disabled (I know, this is per-user, so prob. not a great
idea) and whatever the real "Default" is (GNOME in this case, with it and KDE
both installed) should get selected (or the "Default" option)

Comment 1 Havoc Pennington 2002-07-11 18:30:50 UTC
The general problem is twofold; one, you don't know which user is about to log
in; and two, you don't necessarily want to read from their home dir, for
security reasons. 

It's possible the whole UI here should be thought through a bit differently, 
but ideally that would happen upstream - we don't want to change it dramatically
in Red Hat packages. So major UI revision suggestions are best filed at
http://bugzilla.gnome.org.


Note You need to log in before you can comment on or make changes to this bug.